Disposal ticket details¶
Use /tickets/{ticketID} and ticket_type as disposal to retrieve details of a specific ticket created at landfill for a customerTo retrieve summary of all the tickets, see disposal ticket api
URI¶
GET /api/v1/customers/{customerId}/tickets/{ticketID}?ticket_type=disposal
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customer_id | Y | Number | path | Unique Customer Identifier |
| ticketID | Y | Number | path | Ticket Identifier |
| ticket_type | Y | String | query | Ticket Type(disposal) |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique Identifier for each request |
| tickets | Object | Disposal Ticket Details |
| id | Number | Unique ID assigned to a ticket |
| hauling_ticket_id | Number | Ticket Id that uniquely identifies the hauling number of the ticket |
| replace_ticket_id | Number | Replacement ticket Id for a voided ticket |
| void_ticket_id | Number | Previous ticket Id for a replaced ticket |
| time_in | DateTime | Time when truck entered disposal facility location |
| time_out | DateTime | Time when truck left disposal facility location |
| status | String | Ticket status |
| weight | Object | Weight and unit of measurement |
| gross | String | Weight of the truck including material |
| tare | String | Weight of the empty truck |
| net | String | Weight of the material in the truck |
| uom | String | Unit of measurement of the material |
| rounded_net | String | Rounded total weight of the material |
| rounded_net_uom | String | Unit of measurement of the rounded total weight of the material |
| scale_in | String | Inbound scale name |
| scale_out | String | Outbound scale name |
| swipe_card_id | String | Card number used for unattended transaction |
| volume | String | Volume defined on the ticket |
| material_subtotal | String | Amount charged for the material |
| surcharge | String | Amount charged as part of surcharges |
| tax | String | Amount charged as taxes |
| amount | String | Total amount charged for the specified ticket |
| currency | String | USD or CAD |
| carrier | Object | Contains data about the carrier |
| id | String | Unique Id defined for the carrier |
| description | String | Carrier details |
| site | Object | Contains data about the disposal site location |
| id | String | Unique Id defined for the disposal site location |
| name | String | Name of the disposal site location |
| destination | String | Material drop off details at the disposal site location |
| route_id | String | Unique Id defined for the truck route |
| notes | String | Special comments or description for the ticket |
| seal | Object | Container trip identifier |
| number_1 | Number | Container trip identifier 1 |
| number_2 | Number | Container trip identifier 2 |
| customer | Object | Contains data about the customer |
| name | String | Name of the customer |
| business_name | String | Business name of the customer |
| address | Object | Contains data about the customer address |
| street_text_1 | String | Address line 1 details of the customer |
| street_text_2 | String | Address line 2 details of the customer |
| city | String | City name |
| state | String | State name |
| country | String | Country code |
| zip | String | Postal code |
| zip4 | String | 4 digit extension postal code for US addresses |
| audit_info | Object | Contains data about the audit information |
| created_by | String | User Id of the user who created the ticket |
| created_date_time | Datetime | Date time when the ticket was created |
| modified_by | String | User Id of the user who last modified the ticket |
| modified_date_time | Datetime | Date time when the ticket was last modified |
| vehicle | Object | Contains data about the vehicle information |
| Number | Number | Unique Id defined for the vehicle |
| description | String | Name of the vehicle |
| driver_name | String | Driver name |
| details | Object | Additional details related to ticket |
| sequence_Number | Number | Sequence number assigned to the detail item |
| material_name | String | Name of the material |
| surcharge_name | String | Name of the surcharge |
| description | String | Description of the material detail item (material or surcharge) |
| volume | String | Volume |
| generator_name | String | Generator of the waste |
| rounded_net_weight | String | Rounded total weight of the detail item |
| billed_quantity | String | Quantity for which customer is charged |
| rate_per_unit | String | Amount charged per each unit |
| rate_uom | String | Unit of measurement of the material |
| origin | Object | Pickup location of the waste |
| id | Number | Unique Id defined for the origin |
| description | String | Origin details |
| amount | String | Amount charged for the detail item |
| total_tax_amount | String | Total tax amount charged for the detail item |
| total_amount | String | Total amount charged for the detail item (amount + total tax item) |
| purchase_order_Number | Number | Unique Id defined for the purchase order for the detail item |
| manifest_id | Number | Unique Id defined for the manifest |
| container_id | Number | Unique Id defined for the container |
| profile | Object | Contains data about the profile information |
| id | Number | Unique Id defined for the profile |
| description | String | Profile details |
| tax | Object | Contains data about the tax related information |
| squence_Number | Number | Sequence number assigned to the tax item |
| id | Number | Unique Id defined for the tax item |
| name | String | Name of the tax item |
| description | String | Description of the tax item |
| rate_uom | String | Unit of measurement of the tax item |
| amount | String | Total amount charged for the specified tax item |
| rate | String | Amount charged per each unit |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/tickets/104237?ticket_type=disposal
Sample Response¶
{ "request_tracking_id": "123", "tickets": [ { "id": "104237", "time_in": "2015-06-08 10:11:48.0", "time_out": "2015-06-08 10:11:48.0", "status": "Completed", "weight": { "gross": "81300", "tare": "39600", "net": "41700", "uom": "Pounds", "rounded_net": "20.85", "rounded_net_uom": "Tons" }, "scale_in": "SCALE 1", "volume": "0", "material_subtotal": "542.1", "surcharge": "500.58", "tax": "6.26", "amount": "1048.94", "currency": "United States Dollar", "carrier": { "id": "SELF HAULER", "description": "*" }, "site": { "id": "S07325", "name": "Reload and Recycle Facility" }, "route_id": "AK ", "notes": "PSC - LM (52373)", "seal": { "number_1": "null", "number_2": "null" }, "customer": { "name": "ABC Inc", "business_name": "ABC Inc", "address": { "street_text_1": "123 64ND AVE S", "street_text_2": "SUITE 123", "city": "KENT", "country": "USA", "state": "WA", "zip": "98032", } }, "audit_info": { "created_by": "lmercer", "created_date_time": "2015-06-08 10:11:49.0", "modified_by": "lmercer", "modified_date_time": "2015-06-08 10:11:49.0" }, "vehicle": { "number": "T0004", "description": "END DUMP ", "driver_name": "DENNIS" }, "details": [ { "sequence_number": "1", "material_name": "Sludge Dly Cover-Tons", "description": "Sludge, Daily Cover, PMT is RGC", "volume": "0", "profile": { "id": "24325CV", "description": "SOLIDIFIED WASTEWATER TREATMENT SLUDGE~PSCENVIRONMENTAL SERVICES LLC~BURLINGTON ENVIRONMENTAL LLC~24325CV" }, "generator_name": "BurlingtonEnv", "rounded_net_weight": "20.85", "rounded_net_uom": "Tons", "billed_quantity": "20.85", "rate_per_unit": "26", "rate_uom": "Tons", "origin": { "id": "KING", "description": "KING" }, "amount": "542.1", "total_tax_amount": "6.26", "total_amount": "548.36", "purchase_order_number": "24325CV", "manifest_id": "52373", "tax": [ { "squence_number": "1", "id": "3596", "name": "DEQ", "description": "DEQ", "rate": ".3", "rate_uom": "Tons", "amount": "6.26" } ] }, { "sequence_number": "2", "surcharge_name": "GONDOLA 16.77/TN", "description": "GONDOLA $16.77/TON", "volume": "0", "generator_name": "null", "rounded_net_weight": "0", "billed_quantity": "20.85", "rate_per_unit": "16.77", "rate_uom": "Tons", "origin": { "id": "KING", "description": "KING" }, "amount": "349.65", "total_tax_amount": "0", "total_amount": "349.65" }, { "sequence_number": "3", "material_name": "null", "surcharge_name": "FEA", "description": "FUEL,ENV,ADMIN", "volume": "0", "generator_name": "null", "rounded_net_weight": "0", "billed_quantity": "20.85", "rate_per_unit": "5.56", "rate_uom": "Tons", "origin": { "id": "KING", "description": "KING" }, "amount": "115.93", "total_tax_amount": "0", "total_amount": "115.93" { "sequence_number": "4", "material_name": "null", "surcharge_name": "CERTOFDISPOSAL$35", "description": "Certificates of Disposal $35", "volume": "0", "generator_name": "null", "rounded_net_weight": "0", "billed_quantity": "1", "rate_per_unit": "35", "rate_uom": "Each", "origin": { "id": "KING", "description": "KING" }, "amount": "35", "total_tax_amount": "0", "total_amount": "35" } ] } ]}